
CoCoALib - Bug #1143

Polynomial multiplication wrong for non integral rings

15 Dec 2017 18:48 - Anna Maria Bigatti

Status: Closed Start date: 15 Dec 2017

Priority: Urgent Due date:  

Assignee: John Abbott % Done: 100%

Category: Maths Bugs Estimated time: 4.01 hours

Target version: CoCoALib-0.99560 Spent time: 4.00 hours

Description

In cocoa-5 syntax

/**/ R := NewPolyRing(NewZZmod(6), "x,y");

/**/ 3*(2*x-1);

Related issues:

Related to CoCoA-5 - Feature #1142: NewZZmod: port to CoCoA-5 Closed 15 Dec 2017

History

#1 - 15 Dec 2017 18:50 - Anna Maria Bigatti

Easy to fix, but can we avoid doing too many checks?

Make tests for all polynomial types.

#2 - 15 Dec 2017 19:02 - Anna Maria Bigatti

- % Done changed from 0 to 30

added test for cocoalib (in test-SparsePolyRing1)

cvs-ed

#3 - 15 Dec 2017 19:02 - Anna Maria Bigatti

- Related to Feature #1142: NewZZmod: port to CoCoA-5 added

#4 - 19 Dec 2017 07:49 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 30 to 90

- Estimated time changed from 3.00 h to 4.01 h

John fixed DistrMPolyClean and DistrMPolyInlPP (DMPII is only for coefficient in a field).

#5 - 20 Dec 2017 15:48 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
